/* PageChecker.c generated by valac 0.56.13, the Vala compiler
 * generated from PageChecker.vala, do not modify */

/*
 * Copyright (c) 2017-2019 elementary, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <handy.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

#define ONBOARDING_PAGE_CHECKER_MIN_OPACITY 0.4
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define ONBOARDING_TYPE_PAGE_CHECKER (onboarding_page_checker_get_type ())
#define ONBOARDING_PAGE_CHECKER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker))
#define ONBOARDING_PAGE_CHECKER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageCheckerClass))
#define ONBOARDING_IS_PAGE_CHECKER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONBOARDING_TYPE_PAGE_CHECKER))
#define ONBOARDING_IS_PAGE_CHECKER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONBOARDING_TYPE_PAGE_CHECKER))
#define ONBOARDING_PAGE_CHECKER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageCheckerClass))

typedef struct _OnboardingPageChecker OnboardingPageChecker;
typedef struct _OnboardingPageCheckerClass OnboardingPageCheckerClass;
typedef struct _OnboardingPageCheckerPrivate OnboardingPageCheckerPrivate;

#define TYPE_ABSTRACT_ONBOARDING_VIEW (abstract_onboarding_view_get_type ())
#define ABSTRACT_ONBOARDING_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingView))
#define ABSTRACT_ONBOARDING_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingViewClass))
#define IS_ABSTRACT_ONBOARDING_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW))
#define IS_ABSTRACT_ONBOARDING_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ABSTRACT_ONBOARDING_VIEW))
#define ABSTRACT_ONBOARDING_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingViewClass))

typedef struct _AbstractOnboardingView AbstractOnboardingView;
typedef struct _AbstractOnboardingViewClass AbstractOnboardingViewClass;
enum  {
	ONBOARDING_PAGE_CHECKER_0_PROPERTY,
	ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY,
	ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY,
	ONBOARDING_PAGE_CHECKER_NUM_PROPERTIES
};
static GParamSpec* onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _OnboardingPageChecker {
	GtkButton parent_instance;
	OnboardingPageCheckerPrivate * priv;
};

struct _OnboardingPageCheckerClass {
	GtkButtonClass parent_class;
};

struct _OnboardingPageCheckerPrivate {
	HdyCarousel* _carousel;
	AbstractOnboardingView* _page;
	gint page_number;
};

static gint OnboardingPageChecker_private_offset;
static gpointer onboarding_page_checker_parent_class = NULL;

VALA_EXTERN GType onboarding_page_checker_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (OnboardingPageChecker, g_object_unref)
VALA_EXTERN GType abstract_onboarding_view_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (AbstractOnboardingView, g_object_unref)
VALA_EXTERN OnboardingPageChecker* onboarding_page_checker_new (HdyCarousel* carousel,
                                                    AbstractOnboardingView* page);
VALA_EXTERN OnboardingPageChecker* onboarding_page_checker_construct (GType object_type,
                                                          HdyCarousel* carousel,
                                                          AbstractOnboardingView* page);
static void onboarding_page_checker_update_opacity (OnboardingPageChecker* self);
VALA_EXTERN HdyCarousel* onboarding_page_checker_get_carousel (OnboardingPageChecker* self);
static void onboarding_page_checker_set_carousel (OnboardingPageChecker* self,
                                           HdyCarousel* value);
VALA_EXTERN AbstractOnboardingView* onboarding_page_checker_get_page (OnboardingPageChecker* self);
static void onboarding_page_checker_set_page (OnboardingPageChecker* self,
                                       AbstractOnboardingView* value);
static GObject * onboarding_page_checker_constructor (GType type,
                                               guint n_construct_properties,
                                               GObjectConstructParam * construct_properties);
VALA_EXTERN const gchar* abstract_onboarding_view_get_title (AbstractOnboardingView* self);
static void _onboarding_page_checker___lambda9_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda9__gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self);
static void _onboarding_page_checker___lambda10_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda10__g_object_notify (GObject* _sender,
                                                            GParamSpec* pspec,
                                                            gpointer self);
static void _onboarding_page_checker___lambda11_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda11__gtk_widget_destroy (GtkWidget* _sender,
                                                               gpointer self);
static void onboarding_page_checker_finalize (GObject * obj);
static GType onboarding_page_checker_get_type_once (void);
static void _vala_onboarding_page_checker_get_property (GObject * object,
                                                 guint property_id,
                                                 GValue * value,
                                                 GParamSpec * pspec);
static void _vala_onboarding_page_checker_set_property (GObject * object,
                                                 guint property_id,
                                                 const GValue * value,
                                                 GParamSpec * pspec);

static inline gpointer
onboarding_page_checker_get_instance_private (OnboardingPageChecker* self)
{
	return G_STRUCT_MEMBER_P (self, OnboardingPageChecker_private_offset);
}

OnboardingPageChecker*
onboarding_page_checker_construct (GType object_type,
                                   HdyCarousel* carousel,
                                   AbstractOnboardingView* page)
{
	OnboardingPageChecker * self = NULL;
#line 30 "../src/PageChecker.vala"
	g_return_val_if_fail (carousel != NULL, NULL);
#line 30 "../src/PageChecker.vala"
	g_return_val_if_fail (page != NULL, NULL);
#line 31 "../src/PageChecker.vala"
	self = (OnboardingPageChecker*) g_object_new (object_type, "carousel", carousel, "page", page, NULL);
#line 30 "../src/PageChecker.vala"
	return self;
#line 154 "PageChecker.c"
}

OnboardingPageChecker*
onboarding_page_checker_new (HdyCarousel* carousel,
                             AbstractOnboardingView* page)
{
#line 30 "../src/PageChecker.vala"
	return onboarding_page_checker_construct (ONBOARDING_TYPE_PAGE_CHECKER, carousel, page);
#line 163 "PageChecker.c"
}

static void
onboarding_page_checker_update_opacity (OnboardingPageChecker* self)
{
	gdouble progress = 0.0;
	HdyCarousel* _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
#line 34 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 35 "../src/PageChecker.vala"
	_tmp1_ = hdy_carousel_get_position (_tmp0_);
#line 35 "../src/PageChecker.vala"
	_tmp2_ = _tmp1_;
#line 35 "../src/PageChecker.vala"
	progress = MAX (1 - fabs (_tmp2_ - self->priv->page_number), (gdouble) 0);
#line 37 "../src/PageChecker.vala"
	gtk_widget_set_opacity ((GtkWidget*) self, ONBOARDING_PAGE_CHECKER_MIN_OPACITY + ((1 - ONBOARDING_PAGE_CHECKER_MIN_OPACITY) * progress));
#line 185 "PageChecker.c"
}

HdyCarousel*
onboarding_page_checker_get_carousel (OnboardingPageChecker* self)
{
	HdyCarousel* result;
	HdyCarousel* _tmp0_;
#line 25 "../src/PageChecker.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 25 "../src/PageChecker.vala"
	result = _tmp0_;
#line 25 "../src/PageChecker.vala"
	return result;
#line 201 "PageChecker.c"
}

static void
onboarding_page_checker_set_carousel (OnboardingPageChecker* self,
                                      HdyCarousel* value)
{
	HdyCarousel* old_value;
#line 25 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/PageChecker.vala"
	old_value = onboarding_page_checker_get_carousel (self);
#line 25 "../src/PageChecker.vala"
	if (old_value != value) {
#line 25 "../src/PageChecker.vala"
		self->priv->_carousel = value;
#line 25 "../src/PageChecker.vala"
		g_object_notify_by_pspec ((GObject *) self, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY]);
#line 219 "PageChecker.c"
	}
}

AbstractOnboardingView*
onboarding_page_checker_get_page (OnboardingPageChecker* self)
{
	AbstractOnboardingView* result;
	AbstractOnboardingView* _tmp0_;
#line 26 "../src/PageChecker.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_page;
#line 26 "../src/PageChecker.vala"
	result = _tmp0_;
#line 26 "../src/PageChecker.vala"
	return result;
#line 236 "PageChecker.c"
}

static void
onboarding_page_checker_set_page (OnboardingPageChecker* self,
                                  AbstractOnboardingView* value)
{
	AbstractOnboardingView* old_value;
#line 26 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/PageChecker.vala"
	old_value = onboarding_page_checker_get_page (self);
#line 26 "../src/PageChecker.vala"
	if (old_value != value) {
#line 26 "../src/PageChecker.vala"
		self->priv->_page = value;
#line 26 "../src/PageChecker.vala"
		g_object_notify_by_pspec ((GObject *) self, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY]);
#line 254 "PageChecker.c"
	}
}

static void
_onboarding_page_checker___lambda9_ (OnboardingPageChecker* self)
{
	HdyCarousel* _tmp0_;
	AbstractOnboardingView* _tmp1_;
#line 52 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 52 "../src/PageChecker.vala"
	_tmp1_ = self->priv->_page;
#line 52 "../src/PageChecker.vala"
	hdy_carousel_scroll_to (_tmp0_, (GtkWidget*) _tmp1_);
#line 269 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda9__gtk_button_clicked (GtkButton* _sender,
                                                         gpointer self)
{
#line 51 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda9_ ((OnboardingPageChecker*) self);
#line 278 "PageChecker.c"
}

static void
_onboarding_page_checker___lambda10_ (OnboardingPageChecker* self)
{
#line 56 "../src/PageChecker.vala"
	onboarding_page_checker_update_opacity (self);
#line 286 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda10__g_object_notify (GObject* _sender,
                                                       GParamSpec* pspec,
                                                       gpointer self)
{
#line 55 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda10_ ((OnboardingPageChecker*) self);
#line 296 "PageChecker.c"
}

static void
_onboarding_page_checker___lambda11_ (OnboardingPageChecker* self)
{
#line 60 "../src/PageChecker.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 304 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda11__gtk_widget_destroy (GtkWidget* _sender,
                                                          gpointer self)
{
#line 59 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda11_ ((OnboardingPageChecker*) self);
#line 313 "PageChecker.c"
}

static GObject *
onboarding_page_checker_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	OnboardingPageChecker * self;
	GtkStyleContext* style_context = NULL;
	GtkStyleContext* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkStyleContext* _tmp2_;
	GtkImage* _tmp3_;
	GtkImage* _tmp4_;
	AbstractOnboardingView* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
	HdyCarousel* _tmp8_;
	GList* _tmp9_;
	GList* _tmp10_;
	AbstractOnboardingView* _tmp11_;
	HdyCarousel* _tmp12_;
	AbstractOnboardingView* _tmp13_;
#line 40 "../src/PageChecker.vala"
	parent_class = G_OBJECT_CLASS (onboarding_page_checker_parent_class);
#line 40 "../src/PageChecker.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 40 "../src/PageChecker.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 41 "../src/PageChecker.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 41 "../src/PageChecker.vala"
	style_context = _tmp0_;
#line 42 "../src/PageChecker.vala"
	_tmp1_ = style_context;
#line 42 "../src/PageChecker.vala"
	gtk_style_context_add_class (_tmp1_, GTK_STYLE_CLASS_FLAT);
#line 43 "../src/PageChecker.vala"
	_tmp2_ = style_context;
#line 43 "../src/PageChecker.vala"
	gtk_style_context_add_class (_tmp2_, "switcher");
#line 45 "../src/PageChecker.vala"
	_tmp3_ = (GtkImage*) gtk_image_new_from_icon_name ("pager-checked-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 45 "../src/PageChecker.vala"
	g_object_ref_sink (_tmp3_);
#line 45 "../src/PageChecker.vala"
	_tmp4_ = _tmp3_;
#line 45 "../src/PageChecker.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp4_);
#line 45 "../src/PageChecker.vala"
	_g_object_unref0 (_tmp4_);
#line 47 "../src/PageChecker.vala"
	_tmp5_ = self->priv->_page;
#line 47 "../src/PageChecker.vala"
	_tmp6_ = abstract_onboarding_view_get_title (_tmp5_);
#line 47 "../src/PageChecker.vala"
	_tmp7_ = _tmp6_;
#line 47 "../src/PageChecker.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) self, _tmp7_);
#line 48 "../src/PageChecker.vala"
	_tmp8_ = self->priv->_carousel;
#line 48 "../src/PageChecker.vala"
	_tmp9_ = gtk_container_get_children ((GtkContainer*) _tmp8_);
#line 48 "../src/PageChecker.vala"
	_tmp10_ = _tmp9_;
#line 48 "../src/PageChecker.vala"
	_tmp11_ = self->priv->_page;
#line 48 "../src/PageChecker.vala"
	self->priv->page_number = g_list_index (_tmp10_, (GtkWidget*) _tmp11_);
#line 48 "../src/PageChecker.vala"
	(_tmp10_ == NULL) ? NULL : (_tmp10_ = (g_list_free (_tmp10_), NULL));
#line 49 "../src/PageChecker.vala"
	onboarding_page_checker_update_opacity (self);
#line 51 "../src/PageChecker.vala"
	g_signal_connect_object ((GtkButton*) self, "clicked", (GCallback) __onboarding_page_checker___lambda9__gtk_button_clicked, self, 0);
#line 55 "../src/PageChecker.vala"
	_tmp12_ = self->priv->_carousel;
#line 55 "../src/PageChecker.vala"
	g_signal_connect_object ((GObject*) _tmp12_, "notify::position", (GCallback) __onboarding_page_checker___lambda10__g_object_notify, self, 0);
#line 59 "../src/PageChecker.vala"
	_tmp13_ = self->priv->_page;
#line 59 "../src/PageChecker.vala"
	g_signal_connect_object ((GtkWidget*) _tmp13_, "destroy", (GCallback) __onboarding_page_checker___lambda11__gtk_widget_destroy, self, 0);
#line 40 "../src/PageChecker.vala"
	return obj;
#line 401 "PageChecker.c"
}

static void
onboarding_page_checker_class_init (OnboardingPageCheckerClass * klass,
                                    gpointer klass_data)
{
#line 22 "../src/PageChecker.vala"
	onboarding_page_checker_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/PageChecker.vala"
	g_type_class_adjust_private_offset (klass, &OnboardingPageChecker_private_offset);
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_onboarding_page_checker_get_property;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_onboarding_page_checker_set_property;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->constructor = onboarding_page_checker_constructor;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->finalize = onboarding_page_checker_finalize;
#line 22 "../src/PageChecker.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY] = g_param_spec_object ("carousel", "carousel", "carousel", hdy_carousel_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 22 "../src/PageChecker.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY] = g_param_spec_object ("page", "page", "page", TYPE_ABSTRACT_ONBOARDING_VIEW, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 424 "PageChecker.c"
}

static void
onboarding_page_checker_instance_init (OnboardingPageChecker * self,
                                       gpointer klass)
{
#line 22 "../src/PageChecker.vala"
	self->priv = onboarding_page_checker_get_instance_private (self);
#line 433 "PageChecker.c"
}

static void
onboarding_page_checker_finalize (GObject * obj)
{
	OnboardingPageChecker * self;
#line 22 "../src/PageChecker.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (onboarding_page_checker_parent_class)->finalize (obj);
#line 444 "PageChecker.c"
}

 G_GNUC_NO_INLINE static GType
onboarding_page_checker_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (OnboardingPageCheckerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) onboarding_page_checker_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnboardingPageChecker), 0, (GInstanceInitFunc) onboarding_page_checker_instance_init, NULL };
	GType onboarding_page_checker_type_id;
	onboarding_page_checker_type_id = g_type_register_static (gtk_button_get_type (), "OnboardingPageChecker", &g_define_type_info, 0);
	OnboardingPageChecker_private_offset = g_type_add_instance_private (onboarding_page_checker_type_id, sizeof (OnboardingPageCheckerPrivate));
	return onboarding_page_checker_type_id;
}

GType
onboarding_page_checker_get_type (void)
{
	static volatile gsize onboarding_page_checker_type_id__once = 0;
	if (g_once_init_enter (&onboarding_page_checker_type_id__once)) {
		GType onboarding_page_checker_type_id;
		onboarding_page_checker_type_id = onboarding_page_checker_get_type_once ();
		g_once_init_leave (&onboarding_page_checker_type_id__once, onboarding_page_checker_type_id);
	}
	return onboarding_page_checker_type_id__once;
}

static void
_vala_onboarding_page_checker_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec)
{
	OnboardingPageChecker * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	switch (property_id) {
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY:
#line 22 "../src/PageChecker.vala"
		g_value_set_object (value, onboarding_page_checker_get_carousel (self));
#line 22 "../src/PageChecker.vala"
		break;
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY:
#line 22 "../src/PageChecker.vala"
		g_value_set_object (value, onboarding_page_checker_get_page (self));
#line 22 "../src/PageChecker.vala"
		break;
#line 491 "PageChecker.c"
		default:
#line 22 "../src/PageChecker.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/PageChecker.vala"
		break;
#line 497 "PageChecker.c"
	}
}

static void
_vala_onboarding_page_checker_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec)
{
	OnboardingPageChecker * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	switch (property_id) {
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY:
#line 22 "../src/PageChecker.vala"
		onboarding_page_checker_set_carousel (self, g_value_get_object (value));
#line 22 "../src/PageChecker.vala"
		break;
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY:
#line 22 "../src/PageChecker.vala"
		onboarding_page_checker_set_page (self, g_value_get_object (value));
#line 22 "../src/PageChecker.vala"
		break;
#line 523 "PageChecker.c"
		default:
#line 22 "../src/PageChecker.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/PageChecker.vala"
		break;
#line 529 "PageChecker.c"
	}
}

