/* Utils.c generated by valac 0.56.13, the Vala compiler
 * generated from Utils.vala, do not modify */

/*-
 * Copyright 2014-2020 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 *              Marvin Beckers <beckersmarvin@gmail.com>
 */

#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gobject/gvaluecollector.h>

#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define TYPE_UTILS (utils_get_type ())
#define UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UTILS, Utils))
#define UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_UTILS, UtilsClass))
#define IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UTILS))
#define IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_UTILS))
#define UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_UTILS, UtilsClass))

typedef struct _Utils Utils;
typedef struct _UtilsClass UtilsClass;
typedef struct _UtilsPrivate UtilsPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _ParamSpecUtils ParamSpecUtils;

struct _Utils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	UtilsPrivate * priv;
};

struct _UtilsClass {
	GTypeClass parent_class;
	void (*finalize) (Utils *self);
};

struct _ParamSpecUtils {
	GParamSpec parent_instance;
};

static gpointer utils_parent_class = NULL;
static gchar* utils__documentation_url;
static gchar* utils__documentation_url = NULL;
static gchar* utils__support_url;
static gchar* utils__support_url = NULL;
static gchar* utils__os_name;
static gchar* utils__os_name = NULL;
static gchar* utils__logo_icon_name;
static gchar* utils__logo_icon_name = NULL;

VALA_EXTERN gpointer utils_ref (gpointer instance);
VALA_EXTERN void utils_unref (gpointer instance);
VALA_EXTERN GParamSpec* param_spec_utils (const gchar* name,
                              const gchar* nick,
                              const gchar* blurb,
                              GType object_type,
                              GParamFlags flags);
VALA_EXTERN void value_set_utils (GValue* value,
                      gpointer v_object);
VALA_EXTERN void value_take_utils (GValue* value,
                       gpointer v_object);
VALA_EXTERN gpointer value_get_utils (const GValue* value);
VALA_EXTERN GType utils_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (Utils, utils_unref)
VALA_EXTERN Utils* utils_new (void);
VALA_EXTERN Utils* utils_construct (GType object_type);
VALA_EXTERN const gchar* utils_get_documentation_url (void);
VALA_EXTERN const gchar* utils_get_support_url (void);
VALA_EXTERN const gchar* utils_get_os_name (void);
VALA_EXTERN const gchar* utils_get_logo_icon_name (void);
static void utils_finalize (Utils * obj);
static GType utils_get_type_once (void);

Utils*
utils_construct (GType object_type)
{
	Utils* self = NULL;
#line 21 "../src/Utils.vala"
	self = (Utils*) g_type_create_instance (object_type);
#line 21 "../src/Utils.vala"
	return self;
#line 110 "Utils.c"
}

Utils*
utils_new (void)
{
#line 21 "../src/Utils.vala"
	return utils_construct (TYPE_UTILS);
#line 118 "Utils.c"
}

const gchar*
utils_get_documentation_url (void)
{
	const gchar* result;
	const gchar* _tmp0_;
	const gchar* _tmp4_;
#line 25 "../src/Utils.vala"
	_tmp0_ = utils__documentation_url;
#line 25 "../src/Utils.vala"
	if (_tmp0_ == NULL) {
#line 131 "Utils.c"
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 26 "../src/Utils.vala"
		_tmp1_ = g_get_os_info (G_OS_INFO_KEY_DOCUMENTATION_URL);
#line 26 "../src/Utils.vala"
		_g_free0 (utils__documentation_url);
#line 26 "../src/Utils.vala"
		utils__documentation_url = _tmp1_;
#line 28 "../src/Utils.vala"
		_tmp2_ = utils__documentation_url;
#line 28 "../src/Utils.vala"
		if (_tmp2_ == NULL) {
#line 144 "Utils.c"
			gchar* _tmp3_;
#line 29 "../src/Utils.vala"
			_tmp3_ = g_strdup ("https://elementary.io/docs/learning-the-basics");
#line 29 "../src/Utils.vala"
			_g_free0 (utils__documentation_url);
#line 29 "../src/Utils.vala"
			utils__documentation_url = _tmp3_;
#line 152 "Utils.c"
		}
	}
#line 33 "../src/Utils.vala"
	_tmp4_ = utils__documentation_url;
#line 33 "../src/Utils.vala"
	result = _tmp4_;
#line 33 "../src/Utils.vala"
	return result;
#line 161 "Utils.c"
}

const gchar*
utils_get_support_url (void)
{
	const gchar* result;
	const gchar* _tmp0_;
	const gchar* _tmp4_;
#line 40 "../src/Utils.vala"
	_tmp0_ = utils__support_url;
#line 40 "../src/Utils.vala"
	if (_tmp0_ == NULL) {
#line 174 "Utils.c"
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 41 "../src/Utils.vala"
		_tmp1_ = g_get_os_info (G_OS_INFO_KEY_SUPPORT_URL);
#line 41 "../src/Utils.vala"
		_g_free0 (utils__support_url);
#line 41 "../src/Utils.vala"
		utils__support_url = _tmp1_;
#line 43 "../src/Utils.vala"
		_tmp2_ = utils__support_url;
#line 43 "../src/Utils.vala"
		if (_tmp2_ == NULL) {
#line 187 "Utils.c"
			gchar* _tmp3_;
#line 44 "../src/Utils.vala"
			_tmp3_ = g_strdup ("https://elementary.io/support");
#line 44 "../src/Utils.vala"
			_g_free0 (utils__support_url);
#line 44 "../src/Utils.vala"
			utils__support_url = _tmp3_;
#line 195 "Utils.c"
		}
	}
#line 48 "../src/Utils.vala"
	_tmp4_ = utils__support_url;
#line 48 "../src/Utils.vala"
	result = _tmp4_;
#line 48 "../src/Utils.vala"
	return result;
#line 204 "Utils.c"
}

const gchar*
utils_get_os_name (void)
{
	const gchar* result;
	const gchar* _tmp0_;
	const gchar* _tmp4_;
#line 55 "../src/Utils.vala"
	_tmp0_ = utils__os_name;
#line 55 "../src/Utils.vala"
	if (_tmp0_ == NULL) {
#line 217 "Utils.c"
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 56 "../src/Utils.vala"
		_tmp1_ = g_get_os_info (G_OS_INFO_KEY_NAME);
#line 56 "../src/Utils.vala"
		_g_free0 (utils__os_name);
#line 56 "../src/Utils.vala"
		utils__os_name = _tmp1_;
#line 58 "../src/Utils.vala"
		_tmp2_ = utils__os_name;
#line 58 "../src/Utils.vala"
		if (_tmp2_ == NULL) {
#line 230 "Utils.c"
			gchar* _tmp3_;
#line 59 "../src/Utils.vala"
			_tmp3_ = g_strdup ("elementary OS");
#line 59 "../src/Utils.vala"
			_g_free0 (utils__os_name);
#line 59 "../src/Utils.vala"
			utils__os_name = _tmp3_;
#line 238 "Utils.c"
		}
	}
#line 63 "../src/Utils.vala"
	_tmp4_ = utils__os_name;
#line 63 "../src/Utils.vala"
	result = _tmp4_;
#line 63 "../src/Utils.vala"
	return result;
#line 247 "Utils.c"
}

const gchar*
utils_get_logo_icon_name (void)
{
	const gchar* result;
	const gchar* _tmp0_;
	const gchar* _tmp4_;
#line 70 "../src/Utils.vala"
	_tmp0_ = utils__logo_icon_name;
#line 70 "../src/Utils.vala"
	if (_tmp0_ == NULL) {
#line 260 "Utils.c"
		gchar* _tmp1_;
		const gchar* _tmp2_;
#line 71 "../src/Utils.vala"
		_tmp1_ = g_get_os_info ("LOGO");
#line 71 "../src/Utils.vala"
		_g_free0 (utils__logo_icon_name);
#line 71 "../src/Utils.vala"
		utils__logo_icon_name = _tmp1_;
#line 73 "../src/Utils.vala"
		_tmp2_ = utils__logo_icon_name;
#line 73 "../src/Utils.vala"
		if (_tmp2_ == NULL) {
#line 273 "Utils.c"
			gchar* _tmp3_;
#line 74 "../src/Utils.vala"
			_tmp3_ = g_strdup ("distributor-logo");
#line 74 "../src/Utils.vala"
			_g_free0 (utils__logo_icon_name);
#line 74 "../src/Utils.vala"
			utils__logo_icon_name = _tmp3_;
#line 281 "Utils.c"
		}
	}
#line 78 "../src/Utils.vala"
	_tmp4_ = utils__logo_icon_name;
#line 78 "../src/Utils.vala"
	result = _tmp4_;
#line 78 "../src/Utils.vala"
	return result;
#line 290 "Utils.c"
}

static void
value_utils_init (GValue* value)
{
#line 21 "../src/Utils.vala"
	value->data[0].v_pointer = NULL;
#line 298 "Utils.c"
}

static void
value_utils_free_value (GValue* value)
{
#line 21 "../src/Utils.vala"
	if (value->data[0].v_pointer) {
#line 21 "../src/Utils.vala"
		utils_unref (value->data[0].v_pointer);
#line 308 "Utils.c"
	}
}

static void
value_utils_copy_value (const GValue* src_value,
                        GValue* dest_value)
{
#line 21 "../src/Utils.vala"
	if (src_value->data[0].v_pointer) {
#line 21 "../src/Utils.vala"
		dest_value->data[0].v_pointer = utils_ref (src_value->data[0].v_pointer);
#line 320 "Utils.c"
	} else {
#line 21 "../src/Utils.vala"
		dest_value->data[0].v_pointer = NULL;
#line 324 "Utils.c"
	}
}

static gpointer
value_utils_peek_pointer (const GValue* value)
{
#line 21 "../src/Utils.vala"
	return value->data[0].v_pointer;
#line 333 "Utils.c"
}

static gchar*
value_utils_collect_value (GValue* value,
                           guint n_collect_values,
                           GTypeCValue* collect_values,
                           guint collect_flags)
{
#line 21 "../src/Utils.vala"
	if (collect_values[0].v_pointer) {
#line 344 "Utils.c"
		Utils * object;
		object = collect_values[0].v_pointer;
#line 21 "../src/Utils.vala"
		if (object->parent_instance.g_class == NULL) {
#line 21 "../src/Utils.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 351 "Utils.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 21 "../src/Utils.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 355 "Utils.c"
		}
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = utils_ref (object);
#line 359 "Utils.c"
	} else {
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 363 "Utils.c"
	}
#line 21 "../src/Utils.vala"
	return NULL;
#line 367 "Utils.c"
}

static gchar*
value_utils_lcopy_value (const GValue* value,
                         guint n_collect_values,
                         GTypeCValue* collect_values,
                         guint collect_flags)
{
	Utils ** object_p;
	object_p = collect_values[0].v_pointer;
#line 21 "../src/Utils.vala"
	if (!object_p) {
#line 21 "../src/Utils.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 382 "Utils.c"
	}
#line 21 "../src/Utils.vala"
	if (!value->data[0].v_pointer) {
#line 21 "../src/Utils.vala"
		*object_p = NULL;
#line 388 "Utils.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 21 "../src/Utils.vala"
		*object_p = value->data[0].v_pointer;
#line 392 "Utils.c"
	} else {
#line 21 "../src/Utils.vala"
		*object_p = utils_ref (value->data[0].v_pointer);
#line 396 "Utils.c"
	}
#line 21 "../src/Utils.vala"
	return NULL;
#line 400 "Utils.c"
}

GParamSpec*
param_spec_utils (const gchar* name,
                  const gchar* nick,
                  const gchar* blurb,
                  GType object_type,
                  GParamFlags flags)
{
	ParamSpecUtils* spec;
#line 21 "../src/Utils.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_UTILS), NULL);
#line 21 "../src/Utils.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 21 "../src/Utils.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 21 "../src/Utils.vala"
	return G_PARAM_SPEC (spec);
#line 419 "Utils.c"
}

gpointer
value_get_utils (const GValue* value)
{
#line 21 "../src/Utils.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UTILS), NULL);
#line 21 "../src/Utils.vala"
	return value->data[0].v_pointer;
#line 429 "Utils.c"
}

void
value_set_utils (GValue* value,
                 gpointer v_object)
{
	Utils * old;
#line 21 "../src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UTILS));
#line 21 "../src/Utils.vala"
	old = value->data[0].v_pointer;
#line 21 "../src/Utils.vala"
	if (v_object) {
#line 21 "../src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UTILS));
#line 21 "../src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 21 "../src/Utils.vala"
		utils_ref (value->data[0].v_pointer);
#line 451 "Utils.c"
	} else {
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 455 "Utils.c"
	}
#line 21 "../src/Utils.vala"
	if (old) {
#line 21 "../src/Utils.vala"
		utils_unref (old);
#line 461 "Utils.c"
	}
}

void
value_take_utils (GValue* value,
                  gpointer v_object)
{
	Utils * old;
#line 21 "../src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UTILS));
#line 21 "../src/Utils.vala"
	old = value->data[0].v_pointer;
#line 21 "../src/Utils.vala"
	if (v_object) {
#line 21 "../src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UTILS));
#line 21 "../src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 482 "Utils.c"
	} else {
#line 21 "../src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 486 "Utils.c"
	}
#line 21 "../src/Utils.vala"
	if (old) {
#line 21 "../src/Utils.vala"
		utils_unref (old);
#line 492 "Utils.c"
	}
}

static void
utils_class_init (UtilsClass * klass,
                  gpointer klass_data)
{
#line 21 "../src/Utils.vala"
	utils_parent_class = g_type_class_peek_parent (klass);
#line 21 "../src/Utils.vala"
	((UtilsClass *) klass)->finalize = utils_finalize;
#line 504 "Utils.c"
}

static void
utils_instance_init (Utils * self,
                     gpointer klass)
{
#line 21 "../src/Utils.vala"
	self->ref_count = 1;
#line 513 "Utils.c"
}

static void
utils_finalize (Utils * obj)
{
	Utils * self;
#line 21 "../src/Utils.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UTILS, Utils);
#line 21 "../src/Utils.vala"
	g_signal_handlers_destroy (self);
#line 524 "Utils.c"
}

 G_GNUC_NO_INLINE static GType
utils_get_type_once (void)
{
	static const GTypeValueTable g_define_type_value_table = { value_utils_init, value_utils_free_value, value_utils_copy_value, value_utils_peek_pointer, "p", value_utils_collect_value, "p", value_utils_lcopy_value };
	static const GTypeInfo g_define_type_info = { sizeof (UtilsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) utils_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Utils), 0, (GInstanceInitFunc) utils_instance_init, &g_define_type_value_table };
	static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
	GType utils_type_id;
	utils_type_id = g_type_register_fundamental (g_type_fundamental_next (), "Utils", &g_define_type_info, &g_define_type_fundamental_info, 0);
	return utils_type_id;
}

GType
utils_get_type (void)
{
	static volatile gsize utils_type_id__once = 0;
	if (g_once_init_enter (&utils_type_id__once)) {
		GType utils_type_id;
		utils_type_id = utils_get_type_once ();
		g_once_init_leave (&utils_type_id__once, utils_type_id);
	}
	return utils_type_id__once;
}

gpointer
utils_ref (gpointer instance)
{
	Utils * self;
	self = instance;
#line 21 "../src/Utils.vala"
	g_atomic_int_inc (&self->ref_count);
#line 21 "../src/Utils.vala"
	return instance;
#line 559 "Utils.c"
}

void
utils_unref (gpointer instance)
{
	Utils * self;
	self = instance;
#line 21 "../src/Utils.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 21 "../src/Utils.vala"
		UTILS_GET_CLASS (self)->finalize (self);
#line 21 "../src/Utils.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 573 "Utils.c"
	}
}

